VERCMP(8)

NOM
vercmp - utilitaire de comparaison de version

SYNOPSIS

vercmp [-h] [--help] <version1> <version2>

DESCRIPTION

vercmp sert à comparer deux numéros de version donnés. Son code de sortie peut être :

    • < 0 : si ver1 < ver2

    • = 0 : si ver1 == ver2

    • > 0 : si ver1 > ver2

La comparaison de versions s'opère ainsi :

    Alphanumérique:
      1.0a < 1.0b < 1.0beta < 1.0p < 1.0pre < 1.0rc < 1.0 < 1.0.a < 1.0.1
    Numérique:
      1 < 1.0 < 1.1 < 1.1.1 < 1.2 < 2.0 < 3.0.0

De plus, il est possible d'intégrer une valeur date au nom de version : celle-ci sera prioritaire pour les comparaisons de version, à moins bien sûr que deux valeurs de date ne soient égales. Le format de date est version-rel. Par exemple 2:1.0-1 est toujours plus récent que 1:3.6-1.

Souvenez-vous que le numéro de version pkgrel ne fait l'objet de comparaison que s'il est valable dans les deux entrées soumises à cet outil. Par exemple, la comparaison de 1.5-1 et de 1.5 donnera 0 ; celle de 1.5-1 et de 1.5-2, < 0 comme prévu.Cette règle sert principalement à gérer les dépendances qui n'avaient pas encore de pkgrel.

OPTIONS

-h, --help
    Affiche un résumé des codes de retour possibles. Cette option doit être appelée la première.

EXEMPLES

    $ vercmp 1 2
    -1

    $ vercmp 2 1
    1

    $ vercmp 2.0-1 1.7-6
    1

    $ vercmp 2.0 2.0-13
    0

    $ vercmp 4.34 1:001
    -1

VOIR AUSSI

pacman(8), makepkg(8), libalpm(3)

Consulter le site internet de pacman à l'adresse https://.archlinux.org/pacman/ pour de nouvelles informations sur pacman et ses outils associés.

BOGUES

Bogues ? C'est une blague ; il n'y a pas de bogues dans ce logiciel. Mais s'il y en a, envoyez un rapport de bogue contenant autant de détails que possible dans la section Pacman du système de suivi de bogues de Arch Linux.

AUTEURS

Développeurs actuels :

    • Allan McRae <allan@archlinux.org>

    • Andrew Gregory <andrew.gregory.8@gmail.com>

    • Eli Schwartz <eschwartz@archlinux.org>

    • Morgan Adamiec <morganamilo@archlinux.org>

Contributeurs antérieurs majeurs :

    • Judd Vinet <jvinet@zeroflux.org>

    • Aurelien Foret <aurelien@archlinux.org>

    • Aaron Griffin <aaron@archlinux.org>

    • Dan McGee <dan@archlinux.org>

    • Xavier Chantry <shiningxc@gmail.com>

    • Nagy Gabor <ngaba@bibl.u-szeged.hu>

    • Dave Reisner <dreisner@archlinux.org>

Pour des contributeurs supplémentaires, utiliser git shortlog -s sur le dépôt pacman.git.

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Jacques Brioist <jean.brioist@numericable.fr> Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE. Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.